# -*- encoding: utf-8 -*-
# stub: vsphere-automation-sdk 0.4.7 ruby lib

Gem::Specification.new do |s|
  s.name = "vsphere-automation-sdk".freeze
  s.version = "0.4.7"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["J.R. Garcia".freeze]
  s.date = "2024-07-18"
  s.description = "A Ruby SDK for the vSphere APIs".freeze
  s.email = ["jrg@vmware.com".freeze]
  s.files = ["LICENSE".freeze, "lib/vsphere-automation-sdk".freeze, "lib/vsphere-automation-sdk.rb".freeze, "lib/vsphere-automation-sdk/version.rb".freeze]
  s.homepage = "https://github.com/vmware/vsphere-automation-sdk-ruby".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.3".freeze)
  s.rubygems_version = "3.3.26".freeze
  s.summary = "A Ruby SDK for the vSphere APIs".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<vsphere-automation-appliance>.freeze, ["~> 0.4.6"])
    s.add_runtime_dependency(%q<vsphere-automation-cis>.freeze, ["~> 0.4.6"])
    s.add_runtime_dependency(%q<vsphere-automation-content>.freeze, ["~> 0.4.6"])
    s.add_runtime_dependency(%q<vsphere-automation-runtime>.freeze, ["~> 0.4.6"])
    s.add_runtime_dependency(%q<vsphere-automation-vapi>.freeze, ["~> 0.4.6"])
    s.add_runtime_dependency(%q<vsphere-automation-vcenter>.freeze, ["~> 0.4.6"])
    s.add_development_dependency(%q<rake>.freeze, ["< 14"])
  else
    s.add_dependency(%q<vsphere-automation-appliance>.freeze, ["~> 0.4.6"])
    s.add_dependency(%q<vsphere-automation-cis>.freeze, ["~> 0.4.6"])
    s.add_dependency(%q<vsphere-automation-content>.freeze, ["~> 0.4.6"])
    s.add_dependency(%q<vsphere-automation-runtime>.freeze, ["~> 0.4.6"])
    s.add_dependency(%q<vsphere-automation-vapi>.freeze, ["~> 0.4.6"])
    s.add_dependency(%q<vsphere-automation-vcenter>.freeze, ["~> 0.4.6"])
    s.add_dependency(%q<rake>.freeze, ["< 14"])
  end
end
